# studio::KeyframeTreeStore Class Reference

`#include <keyframetreestore.h>`

List of all members.

## Public Member Functions

| KeyframeTreeStore (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)
| ~KeyframeTreeStore ()
etl::loose_handle < synfigapp::CanvasInterface > | canvas_interface ()
etl::loose_handle< const synfigapp::CanvasInterface > | canvas_interface () const
synfig::Canvas::Handle | get_canvas ()
synfig::Canvas::Handle | get_canvas () const
Gtk::TreeModel::Row | find_row (const synfig::Keyframe &keyframe)

## Static Public Member Functions

static Glib::RefPtr < KeyframeTreeStore > | create (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)
static int | time_sorter (const Gtk::TreeModel::iterator &rhs, const Gtk::TreeModel::iterator &lhs)
static int | description_sorter (const Gtk::TreeModel::iterator &rhs, const Gtk::TreeModel::iterator &lhs)

## Public Attributes

const Model | model

## Protected Member Functions

virtual void | set_value_impl (const Gtk::TreeModel::iterator &row, int column, const Glib::ValueBase &value)
virtual Gtk::TreeModelFlags | get_flags_vfunc ()
virtual int | get_n_columns_vfunc ()
virtual GType | get_column_type_vfunc (int index)
virtual bool | iter_next_vfunc (const iterator &iter, iterator &iter_next) const
virtual bool | get_iter_vfunc (const Gtk::TreeModel::Path &path, iterator &iter_next) const
virtual bool | iter_nth_root_child_vfunc (int n, iterator &iter) const
virtual Gtk::TreeModel::Path | get_path_vfunc (const iterator &iter) const
virtual void | ref_node_vfunc (iterator &iter) const
virtual void | unref_node_vfunc (iterator &iter) const
virtual void | get_value_vfunc (const Gtk::TreeModel::iterator &iter, int column, Glib::ValueBase &value) const
virtual bool | iter_is_valid (const iterator &iter) const
virtual int | iter_n_root_children_vfunc () const

## Classes

class | Model

## Constructor & Destructor Documentation

KeyframeTreeStore::KeyframeTreeStore | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) |

References canvas_interface().

Referenced by create().

KeyframeTreeStore::~KeyframeTreeStore | ( |  | ) |

## Member Function Documentation

void KeyframeTreeStore::set_value_impl | ( | const Gtk::TreeModel::iterator & | row,
|  | int | column,
|  | const Glib::ValueBase & | value |
| ) |  |  | `[protected, virtual]`

References canvas_interface(), synfigapp::Action::create(), studio::KeyframeTreeStore::Model::description, get_canvas(), get_column_type_vfunc(), get_n_columns_vfunc(), studio::KeyframeTreeStore::Model::keyframe, model, studio::KeyframeTreeStore::Model::time, and studio::KeyframeTreeStore::Model::time_delta.

Gtk::TreeModelFlags KeyframeTreeStore::get_flags_vfunc | ( |  | ) | `[protected, virtual]`

int KeyframeTreeStore::get_n_columns_vfunc | ( |  | ) | `[protected, virtual]`

References model.

Referenced by set_value_impl().

GType KeyframeTreeStore::get_column_type_vfunc | ( | int | index | ) | `[protected, virtual]`

References model.

Referenced by set_value_impl().

bool KeyframeTreeStore::iter_next_vfunc | ( | const iterator & | iter,
|  | iterator & | iter_next |
| ) |  |  | const`[protected, virtual]`

References canvas_interface(), and get_canvas().

bool KeyframeTreeStore::get_iter_vfunc | ( | const Gtk::TreeModel::Path & | path,
|  | iterator & | iter_next |
| ) |  |  | const`[protected, virtual]`

References iter_nth_root_child_vfunc().

bool KeyframeTreeStore::iter_nth_root_child_vfunc | ( | int | n,
|  | iterator & | iter |
| ) |  |  | const`[protected, virtual]`

References canvas_interface(), and get_canvas().

Referenced by get_iter_vfunc().

Gtk::TreeModel::Path KeyframeTreeStore::get_path_vfunc | ( | const iterator & | iter | ) | const`[protected, virtual]`

void KeyframeTreeStore::ref_node_vfunc | ( | iterator & | iter | ) | const`[protected, virtual]`

void KeyframeTreeStore::unref_node_vfunc | ( | iterator & | iter | ) | const`[protected, virtual]`

void KeyframeTreeStore::get_value_vfunc | ( | const Gtk::TreeModel::iterator & | iter,
|  | int | column,
|  | Glib::ValueBase & | value |
| ) |  |  | const`[protected, virtual]`

References get_canvas().

bool KeyframeTreeStore::iter_is_valid | ( | const iterator & | iter | ) | const`[protected, virtual]`

int KeyframeTreeStore::iter_n_root_children_vfunc | ( |  | ) | const`[protected, virtual]`

References canvas_interface().

etl::loose_handle<synfigapp::CanvasInterface> studio::KeyframeTreeStore::canvas_interface | ( |  | ) | `[inline]`

Referenced by find_row(), get_canvas(), iter_n_root_children_vfunc(), iter_next_vfunc(), iter_nth_root_child_vfunc(), KeyframeTreeStore(), and set_value_impl().

etl::loose_handle<const synfigapp::CanvasInterface> studio::KeyframeTreeStore::canvas_interface | ( |  | ) | const`[inline]`

synfig::Canvas::Handle studio::KeyframeTreeStore::get_canvas | ( |  | ) | `[inline]`

References canvas_interface().

Referenced by find_row(), get_value_vfunc(), iter_next_vfunc(), iter_nth_root_child_vfunc(), and set_value_impl().

synfig::Canvas::Handle studio::KeyframeTreeStore::get_canvas | ( |  | ) | const`[inline]`

References canvas_interface().

Gtk::TreeModel::Row KeyframeTreeStore::find_row | ( | const synfig::Keyframe & | keyframe | ) |

References _, canvas_interface(), and get_canvas().

Glib::RefPtr< KeyframeTreeStore > KeyframeTreeStore::create | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) | `[static]`

References KeyframeTreeStore().

int KeyframeTreeStore::time_sorter | ( | const Gtk::TreeModel::iterator & | rhs,
|  | const Gtk::TreeModel::iterator & | lhs |
| ) |  |  | `[static]`

References model.

Referenced by studio::KeyframeTree::set_model().

int KeyframeTreeStore::description_sorter | ( | const Gtk::TreeModel::iterator & | rhs,
|  | const Gtk::TreeModel::iterator & | lhs |
| ) |  |  | `[static]`

References model.

Referenced by studio::KeyframeTree::set_model().

## Member Data Documentation

const Model studio::KeyframeTreeStore::model

Referenced by description_sorter(), get_column_type_vfunc(), get_n_columns_vfunc(), set_value_impl(), and time_sorter().

The documentation for this class was generated from the following files:

- keyframetreestore.h
- keyframetreestore.cpp